summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-10-13 15:22:39 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2019-10-13 15:41:30 +0200
commit3e8ce84255a72201e03a5aa5bd3d04c69f536890 (patch)
tree0568130d3e548bd425c1455ecc615d4bc26a9a65 /sys-libs/libchipcard
parentsys-libs/gwenhywfar: 4.99.22_rc6 version bump w/o keywords (diff)
downloadgentoo-3e8ce84255a72201e03a5aa5bd3d04c69f536890.tar.gz
gentoo-3e8ce84255a72201e03a5aa5bd3d04c69f536890.tar.bz2
gentoo-3e8ce84255a72201e03a5aa5bd3d04c69f536890.zip
sys-libs/libchipcard: 5.1.3_beta version bump w/o keywords
Pre-release version. Bug: https://bugs.gentoo.org/692732 Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'sys-libs/libchipcard')
-rw-r--r--sys-libs/libchipcard/Manifest1
-rw-r--r--sys-libs/libchipcard/libchipcard-5.1.3_beta.ebuild52
2 files changed, 53 insertions, 0 deletions
diff --git a/sys-libs/libchipcard/Manifest b/sys-libs/libchipcard/Manifest
index a6a19a44881..12b2d9d0f88 100644
--- a/sys-libs/libchipcard/Manifest
+++ b/sys-libs/libchipcard/Manifest
@@ -1 +1,2 @@
DIST libchipcard-5.0.4.tar.gz 801499 BLAKE2B 7966002dbf5c9eb7a53490aa8df68765901d7ebb7c7a16d8b24bf087a9886883aeb8a5c4f4be21ca5740215ce4f1b8d0023409f7b0f843ce1ce894a2cc115f40 SHA512 3b5b049f8ed676994c00ca758248c842de1119a0cee9e55682971839dc72cca226910559763bf858ceb126d998284b0c9f37459e0c87831d52ac39b6c4317293
+DIST libchipcard-5.1.3beta.tar.gz 834775 BLAKE2B 91206b300ccb2789ec8b43cdc41e8b04300d91f30d41aebfe80792b6cac3aa34c694852f9956a96b8d58fc5534cdd19d8dea76329788a1cf9826748b5533639b SHA512 f30bcacaf2f9b8cc4ac3719a3ff5e2afdf70173ed03c83436771f3a2f4bc4c96685a6f4c8006aa01ad1d6c1642d1052e398ff13d655b6ba2f4392174d4bf91ff
diff --git a/sys-libs/libchipcard/libchipcard-5.1.3_beta.ebuild b/sys-libs/libchipcard/libchipcard-5.1.3_beta.ebuild
new file mode 100644
index 00000000000..8d480701f63
--- /dev/null
+++ b/sys-libs/libchipcard/libchipcard-5.1.3_beta.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P="${P/_beta/beta}"
+
+DESCRIPTION="Library for accessing chip cards via chip card readers (terminals)"
+HOMEPAGE="https://www.aquamaniac.de/rdm/projects/libchipcard"
+SRC_URI="https://www.aquamaniac.de/rdm/attachments/download/138/${MY_P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+# KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc examples"
+
+BDEPEND="
+ sys-devel/gettext
+ doc? ( app-doc/doxygen )
+"
+DEPEND="
+ >=sys-apps/pcsc-lite-1.6.2
+ >=sys-libs/gwenhywfar-4.99.22_rc6:=
+ sys-libs/zlib
+ virtual/libintl"
+RDEPEND="${DEPEND}"
+
+DOCS=( AUTHORS ChangeLog NEWS README TODO doc/{CERTIFICATES,CONFIG,IPCCOMMANDS} )
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+ local myeconfargs=(
+ --disable-static
+ --with-docpath=/usr/share/doc/${PF}/apidoc
+ $(use_enable doc full-doc)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ einstalldocs
+
+ if use examples; then
+ docinto tutorials
+ dodoc tutorials/*.{c,h,xml} tutorials/README
+ fi
+
+ find "${D}" -name '*.la' -type f -delete || die
+}